:root {
  --main-bg-dark: #212529;
  --main-text-white: #f5f5f5;
  --normal-header-height: 120px;
  --ssticky-header-height: 60px;
}
.normal-link {
  text-decoration: none;
  color: inherit;
}
.fake-link {
  color: #0d6efd !important;
  cursor: pointer;
  border-bottom: 0.5px solid #0d6efd;
}
.cases-cover {
  width: 60px;
  height: 20px;
  border-radius: 5px;
  text-align: center;
  color: white;
}
.fs-1-rem {
  font-size: 1rem;
}
.fs-1-5-rem {
  font-size: 1.5rem;
}

.fs-12-px {
  font-size: 12px;
}

.bg-red {
  background-color: #dc3545 !important;
}
.bg-green {
  background-color: #198754 !important;
}
.bg-gray {
  background-color: #198754 !important;
}

.bg-purple {
  background-color: purple !important;
}

.bg-brown {
  background-color: brown !important;
}
.bg-blue {
  background-color: #0d6efd !important;
}
.bg-orang {
  background-color: #c24f19 !important;
}

.cost-list-shadow {
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2);
}
.main-container {
  margin: 1rem 15% 0 15%;
}
.table-container {
  width: calc(100% - 300px);
  max-height: calc(100dvh - 60px);
  overflow-y: auto;
}
.cost-card .cost-card-body .cases {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 3px;
  margin: 0;
}
.cost-card .cost-card-body .cases .case {
  color: #212529;
  margin: 0;
}
.cost-card .cost-card-body .cases .case p {
  font-size: 8px !important;
  margin: 0;
  padding: 2px 3px;
}

footer {
  position: static;
  /* width: 89%; */
  width: 100%;
  right: 0;
  bottom: -38px;
  color: whitesmoke;
}

.cursor-pointer {
  cursor: pointer;
}

#main-header {
  width: auto;
  height: 60px;
  background-color: #212529;
  transition: all 0.3s ease-in-out;
}
#main-header nav {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  align-content: center;
  align-self: center;
  justify-content: space-between;
  flex-direction: row;
}
#main-header .header-right {
  width: 88.5%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#main-header .menu-left {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
#main-header .menu-left .our-services-mo {
  display: none;
}

#main-header .header-right ul {
  margin-bottom: 0px;
  margin-right: 1rem;
  display: flex;
  align-items: center;
  align-self: center;
  gap: 2rem;
  list-style: none;
  justify-content: flex-end;
}
#main-header .form {
  width: 100%;
}
#main-header .header-right ul li {
  list-style: none;
  height: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  place-items: center;
  flex-direction: column;
}
#main-header .header-right ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 0.85rem;
}
#main-header form.form-search {
  display: flex;
  width: 100%;
}
#main-header form.form-search input {
  margin: 0;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  height: 50px;
  width: 100%;
  min-width: 100px;
  border-radius: 10px;
}
#main-header #mo {
  display: none;
}
#main-header #mo button {
  background-color: transparent;
  border: none;
  color: #fff;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}
#main-header span#nb-article-basket {
  position: absolute;
  width: 30px;
  height: 30px;
  top: 41px;
  left: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: red;
  background-color: rgb(48 254 6 / 30%);
  border-radius: 50%;
}
#main-header li.self-menu {
  position: relative;
}

#main-header li.self-menu ul.sub-menu {
  display: none;
}

#main-header li.self-menu ul.sub-menu.active {
  position: absolute;
  top: 72.4px;
  left: -47px;
  flex-direction: column;
  background-color: #212529;
  height: fit-content;
  width: fit-content;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0;
  padding: 2rem;
  border-bottom-left-radius: 1rem;
  border-bottom-right-radius: 1rem;
  z-index: 9999;
}

#main-header ul.sub-menu li {
  color: inherit;
  list-style: none;
}
#main-header ul.sub-menu hr {
  width: 100%;
  margin: 0;
  padding: 0;
  color: whitesmoke;
}

/*  */
/*  */
/*  */
/*  */
/*  */

#main-header {
  position: relative;
}
.mouseHoler {
  position: absolute;
  top: 0;
  left: 160px;
  width: 480px;
  height: 120px;
  background-color: transparent;
}

#main-header #searcher {
  width: 90%;
  height: fit-content;
  overflow: hidden;
  background-color: #212529;
  position: absolute;
  top: 85px;
  left: 0;
  z-index: 99999;
  margin: 0 5%;
  transition: height 0.4s ease-in-out, transform 0.4s ease-in-out;
  transform: translateY(-200%);
  box-shadow: 10px 10px 15px 12px rgba(0, 0, 0, 0.5);
}

#main-header #searcher.active {
  transform: translateY(0%);
  height: fit-content;
  display: flex;
  flex-direction: column;
}

#main-header #searcher .searcher-header {
  display: flex;
  justify-content: flex-start;
  gap: 17rem;
  align-items: center;
  color: white;
  padding-bottom: 1rem;
  margin: 2rem 10rem 2rem 10rem;
  border-bottom: 1px solid gray;
}

#main-header #searcher .searcher-body {
  height: 100%;
  display: flex;
  justify-content: flex-start;
  margin: 2rem 10rem 2rem 10rem;
  color: red;
  gap: 24rem;
}
#main-header #searcher .searcher-body .searcher-body-list {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 2rem;
  margin-left: 0;
  padding: 0;
  margin-bottom: auto;
  max-height: 60vh;
  overflow-y: auto;
  overflow-x: hidden;
}
#main-header #searcher .searcher-body .searcher-body-list::-webkit-scrollbar {
  width: 10px;
  padding: 2px;
}

#main-header
  #searcher
  .searcher-body
  .searcher-body-list::-webkit-scrollbar-track {
  background-color: rgb(205, 75, 75);
}

#main-header
  #searcher
  .searcher-body
  .searcher-body-list::-webkit-scrollbar-thumb {
  background-color: rgba(252, 254, 255, 0.8);
}

#main-header #searcher .searcher-body .searcher-body-article-item {
  display: flex;
  flex-direction: row;
}

.cos-btn-primary {
  width: fit-content;
  height: fit-content;
  padding: 1rem 2rem;
  color: whitesmoke;
  background-color: #1e90ff;
  text-decoration: none !important;
  border-radius: 1rem;
}

.cos-btn-primary:hover {
  transform: scale(1, 01);
  color: whitesmoke;
  background-color: #0b84fd;
}

.cos-btn-secondary {
  width: fit-content;
  height: fit-content;
  padding: 1rem 2rem;
  color: #fff;
  background-color: #6c757d;
  text-decoration: none !important;
  border-radius: 1rem;
}

.cos-btn-secondary:hover {
  transform: scale(1, 01);
  color: black;
  background-color: #76797b;
}

.cos-btn-3th {
  width: fit-content;
  height: fit-content;
  padding: 1rem 2rem;
  color: #fff;
  background-color: #17a2b8;
  text-decoration: none !important;
  border-radius: 1rem;
}

.cos-btn-3th:hover {
  transform: scale(1, 01);
  color: black;
  background-color: #3ba1b0;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(30rem, max-content));
  grid-auto-rows: auto;
  grid-gap: 2rem;
}

.grid-item {
  border: 2px dashed black;
  padding: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  transition: transform 0.3s ease-in-out;
  font-size: 24px;
  border-radius: 20px;
  text-decoration: none;
  color: inherit;
}

.crad-imgs {
  transition: transform 0.3s ease-in-out;
  width: 25rem;
  height: 25rem;
  object-fit: contain;
  max-width: 25rem;
  max-height: 25rem;
  border-radius: 1rem;
}

.crads-body {
  display: flex;
  width: 100%;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  margin-left: 1rem;
}

.cards-body-stars {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.cards-body-title {
  width: 100%;
  text-align: center;
  font-size: 2rem;
}

.grid-item:hover {
  transform: scale(1.05);
  transition: transform 0.3s ease-in-out;
}

.hidden-img {
  transition: transform 0.7s ease-in-out;
  display: none;
}

.showen-img {
  transition: transform 0.7s ease-in-out;
  display: block;
}

.main-container .show-article-main {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: space-around;
}

.aside {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 20%;
  overflow-x: hidden;
  overflow-y: auto;
  height: 40rem;
}

.aside-right {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 20%;
  height: 40rem;
  gap: 1rem;
}

.aside-right > .about-article {
  font-size: 1.5rem;
}

.aside-right > .description {
  font-size: 1.5rem;
}

.aside-right > .price {
  font-size: 3rem;
}

.aside-right > a.technical-sheet {
  text-decoration: none;
  font-size: 1.2rem;
}

.aside > img {
  margin-top: 1rem;
  /* height: 10rem; */
  object-fit: contain;
  cursor: pointer;
  border-bottom: 1px black solid;
  margin-bottom: 10px;
  padding-bottom: 10px;
}

.main-container .center {
  display: flex;
  width: 80%;
  justify-content: flex-start;
}

.main-container .center > img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  max-width: 50rem;
  max-height: 60rem;
  min-width: 50rem;
  min-height: 60rem;
  cursor: zoom-in;
  margin: 0 auto;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.9);
}

.close {
  position: fixed;
  top: 90px;
  right: 10px;
  color: #fff;
  font-size: 35px;
  font-weight: bold;
  padding: 10px;
  z-index: 9999999999;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

#modal-image {
  display: block;
  margin: 10% auto;
  width: 70%;
  height: 70%;
  object-fit: contain;
  display: flex;
  align-items: center;
  align-self: center;
  align-content: center;
  justify-self: unset;
}

#technical-sheet {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 5px;
  width: 100%;
  height: 100%;
}

.customers {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

.customers td,
.customers th {
  border: 1px solid #ddd;
  padding: 8px;
}

.customers tr:nth-child(even) {
  background-color: #f2f2f2;
}

.customers tr:hover {
  background-color: #ddd;
}

.customers th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #04aa6d;
  color: white;
}

.star-checked {
  color: #ffcc00;
}

.admin-action-btn {
  background-color: #4caf50;
  /* Green */
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 1rem;
}

.admin-action-btn:hover {
  background-color: #3e8e41;
}

.cost-repair-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.image-container {
  width: 100%;
  height: auto;
  overflow-x: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  align-content: center;
  justify-content: flex-start;
  gap: 1rem;
}

.image-wrapper {
  position: relative;
  display: inline-block;
  margin: 1rem;
}

.delete-button {
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  position: absolute;
  top: 5px;
  right: 5px;
  z-index: 1;
  background-color: rgba(255, 0, 0, 0.6);
  color: whitesmoke;
  border: none;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  font-size: 14px;
  cursor: pointer;
}

.image-wrapper:hover .delete-button {
  opacity: 1;
}

.image-wrapper:hover {
  box-shadow: 0 0 2px 1px rgba(0, 140, 186, 0.5);
}

.image-wrapper > img {
  width: 15rem;
  height: auto;
  object-fit: cover;
}

.actions {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  margin-top: 2rem;
  gap: 1rem;
}

section {
  width: 100%;
}

.section-active {
  display: block;
}

.section-unactive {
  display: none;
}

.col {
  display: flex;
  flex-direction: column;
  margin: 0 0 20px 0;
}

.col label {
  margin: 0 0 5px 0;
}

.col input {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #000;
}

.section-active {
  animation: slideInFromLeft 0.5s ease;
}

.section-unactive {
  animation: slideInFromRight 0.5s ease;
}

.section-active {
  display: block;
}

.section-unactive {
  display: none;
}

.sections {
  height: 100%;
}

.col > .btn {
  width: fit-content;
  width: 100%;
  margin: 0 auto;
  margin: 0 0 20px 0;
  text-decoration: none;
  padding: 0.5rem 2rem;
}

.btn-active {
  border-bottom: 1px solid black;
}

section.actions button.btn {
  background-color: #000;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.col > button.btn {
  color: whitesmoke !important;
  background-color: #000;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
  width: fit-content;
}

.col > button.btn {
  color: whitesmoke !important;
  background-color: #000;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
  width: fit-content;
}

.col-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 0 auto;
  text-decoration: none;
}

.col > button.btn:hover {
  background-color: #161616;
  color: #000;
  border: 1px solid #8a8989;
}

.chang-page-btns {
  display: flex;
  justify-content: space-between;
  margin-top: 20px;
}
.chang-page-btns.validate-btn {
  background-color: #4caf50;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}
.chang-page-btns.validate-btn:hover {
  background-color: #1f5921;
}
.chang-page-btns.validate-btn #validate-btn {
  background-color: transparent;
  border: none;
  margin: 0 auto;
}

.chang-page-btns button {
  padding: 10px 20px;
  border: none;
  background-color: #f5f5f5;
  border-radius: 5px;
  cursor: pointer;
}

.chang-page-btns button:hover {
  background-color: #e0e0e0;
}

.chang-page-btns button:active {
  background-color: #bdbdbd;
}

.chang-page-btns button:first-child {
  background-color: #f5f5f5;
  border: 1px solid #bdbdbd;
}

.chang-page-btns button:first-child:hover {
  background-color: #e0e0e0;
}

.chang-page-btns button:first-child:active {
  background-color: #bdbdbd;
}

.chang-page-btns button:last-child {
  background-color: #f5f5f5;
  border: 1px solid #bdbdbd;
}

.chang-page-btns button:last-child:hover {
  background-color: #e0e0e0;
}

.chang-page-btns button:last-child:active {
  background-color: #bdbdbd;
}

.chang-page-btns button:disabled {
  background-color: #bdbdbd;
  cursor: not-allowed;
}

.chang-page-btns button:disabled:hover {
  background-color: #bdbdbd;
}

.chang-page-btns button:disabled:active {
  background-color: #bdbdbd;
}

.chang-page-btns button:disabled:first-child {
  background-color: #bdbdbd;
  border: 1px solid #bdbdbd;
}

.chang-page-btns button:disabled:first-child:hover {
  background-color: #bdbdbd;
}

.chang-page-btns button:disabled:first-child:active {
  background-color: #bdbdbd;
}

.chang-page-btns button:disabled:last-child {
  background-color: #bdbdbd;
  border: 1px solid #bdbdbd;
}

.chang-page-btns button:disabled:last-child:hover {
  background-color: #bdbdbd;
}

.chang-page-btns button:disabled:last-child:active {
  background-color: #bdbdbd;
}

section {
  display: block;
}

.animited-class {
  animation: slideInFromRight 1s ease-in-out;
}

.staps > span {
  padding: 1rem;
  background-color: rgb(102, 109, 67);
  color: rgb(255, 255, 255);
  border-radius: 10px;
  font-size: 16px;
  cursor: default;
}

.staps > span.active-span {
  padding: 1rem;
  background-color: #3d3314;
  color: white;
  border-radius: 15px;
  border: none;
  cursor: default;
}

.staps > span.passed-span {
  cursor: pointer;
  padding: 1rem;
  background-color: green;
  color: white;
  border-radius: 15px;
  border: none;
}

.staps > span.passed-span:hover {
  background-color: #28a745;
}

#repair-validate-btn {
  background-color: #04ff71;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
  width: fit-content;
  margin: 0 auto;
  margin: 0 0 20px 0;
  text-decoration: none;
  padding: 0.5rem 2rem;
  width: 100%;
  margin: 0 auto;
}

.invalid-input {
  border: 1px solid red;
}

.border-green {
  border: 2px solid green;
}

.p-facultative {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.addDrone-sections {
  border-top: 2px solid rgb(120, 120, 120);
}
#custom-modal-forAddTag,
#custom-modal-forAddCompany {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 9999;
  animation-name: fade-in;
  animation-duration: 0.3s;
}
#custom-modal-forAddTag,
#custom-modal-forAddCompany.fade-out {
  animation-name: fade-out;
  animation-duration: 0.3s;
}
#custom-modal-forAddTag-content,
#custom-modal-forAddCompany-content {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
  padding: 20px;
  border-radius: 5px;
  z-index: 10000;
}
#custom-modal-forAddTag-content,
#custom-modal-forAddCompany-content h2 {
  margin-top: 0;
  text-align: center;
}

#custom-show-info__close-modal,
#custom-show-info__close-modal-2,
#custom-show-info__close-modal-3,
#custom-show-info-modal-delete__close-modal {
  position: absolute;
  top: -6px;
  right: 1px;
  background-color: transparent;
  border: none;
  font-size: 30px;
  cursor: pointer;
}

.btn.btn-outline-danger.custom-show-info-modal-btn,
.btn.btn-outline-success.custom-show-info-modal-btn {
  font-size: 24px;
  padding: 8px 50px;
  cursor: pointer;
  margin-top: 1rem;
}

.fade-in {
  animation-name: fade-in;
  animation-duration: 0.3s;
}

.fade-out {
  animation-name: fade-out;
  animation-duration: 0.3s;
}

.fa-brands {
  background-color: transparent;
  color: black;
  font-size: 2rem;
  border: none;
  margin: 0 1rem;
}

.fa-brands:hover {
  color: #4267b2;
}

.fa-brands.fa-google {
  color: red;
}

.fa-brands.fa-google:hover {
  color: red;
}

.fa-brands.fa-facebook {
  color: #4267b2;
}

.fa-brands.fa-facebook:hover {
  color: #4267b2;
}

.col-btn-cost {
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
}

.col-btn-cost i {
  padding: 0.5rem 10rem;
  background-color: rgba(255, 0, 0, 0.1);
  border-radius: 0.3rem;
}

.btn.fixedBtn.add-btn {
  display: flex;
  justify-content: center;
  justify-items: center;
  align-items: center;
  align-self: center;
  position: absolute;
  width: 50px;
  height: 50px;
  background-color: #2c3034;
  color: whitesmoke;
  bottom: 50px;
  right: 50px;
  border-radius: 50%;
  font-size: 1.5rem;
  font-weight: 600;
  box-shadow: 5px 20px 15px -20px #111;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  z-index: 99;
}
.btn.add-btn:hover {
  background-color: #287dfc;
  color: whitesmoke;
}

#custom-show-info-modal,
#custom-show-info-modal-2,
#custom-show-info-modal-3,
#custom-show-info-modal-delete {
  display: none;
  position: fixed;
  z-index: 100;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
  animation: modalFadeIn2 0.3s ease-in-out forwards;
  border-radius: 1rem;
}

.custom-show-info__modal-content {
  position: relative;
  top: 0;
  background-color: white;
  padding: 20px;
  border-radius: 5px;
  max-height: 80vh;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 50%;
}

.custom-show-info__modal-content h2 {
  margin-top: 0;
}

#custom-show-info-modal,
#custom-show-info-modal-2,
#custom-show-info-modal-3 {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 30px;
  line-height: 1;
  color: black;
  opacity: 0.5;
  border: none;
  background: none;
  cursor: pointer;
}

#custom-show-info-modal:hover,
#custom-show-info-modal-2:hover,
#custom-show-info-modal-3:hover {
  opacity: 1;
}

.custom-show-info-modal__actions {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  gap: 1rem;
}

.custom-show-info-modal__modal-fade-out {
  animation: modalFadeOut2 0.3s ease-in-out forwards;
}
.custom-show-info-modal__scrollable-content {
  margin-top: 2rem;
}
.custom-show-info-modal__scrollable-content .info {
  margin-bottom: 1rem;
  gap: 5rem;
  /* box-shadow: 0px 5px 0px 0px #747474; */
}

.custom-show-info-modal__modal-body {
  display: flex;
  flex-direction: row;
  width: 100%;
  justify-content: center;
  gap: 2rem;
}

.cost-info {
  word-wrap: break-word;
  max-width: 20rem;
}

#custom-show-info-modal__form-select-validate {
  height: 50px;
}

.article-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}
.slider {
  display: flex;
  width: 40rem;
  height: auto !important;
  overflow: hidden;
  border-radius: 1rem;
}

.article-container .article {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  width: 100%;
  height: auto !important;
  overflow: hidden;
  flex-wrap: nowrap;
  border: 1px solid black;
  padding: 1rem;
  border-radius: 1rem;
  max-height: 40rem;
  height: 100%;
  color: inherit;
  text-decoration: none;
  position: relative;
}

.article img {
  display: block;
  height: 100%;
  border-radius: 1rem;
  max-width: 100%;
  object-fit: fill;
  max-height: 100%;
  aspect-ratio: 2;
  margin: auto;
}

span.article_status {
  position: absolute;
  top: 0;
  right: 0;
  background-color: #ff0000;
  color: #fff;
  padding: 0.5rem;
  border-radius: 1rem;
  font-size: 1.5rem;
}
main.cos-container {
  min-height: 79.2vh;
  position: relative;
}

.btn.fixedBtn.add-btn.add-article {
  bottom: 1rem;
  position: fixed;
  right: 5rem;
}


.articles-holders {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.main-container {
  margin: 1rem 15% 0 15%;
}
.article {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  border: 1px solid black;
  padding: 1rem;
  border-radius: 1rem;
  background-color: #212529;
  box-shadow: 15px 1rem 1rem 4px rgba(0, 0, 0, 0.15);
  color: inherit;
  text-decoration: none;
  list-style: none;
}
.article > .carousel-fade {
  display: flex;
  flex-direction: column;
  align-self: center;
  flex: 2;
}

.article > .article-body {
  flex: 2;
  display: grid;
  height: 100%;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}
.slider-btn-controller {
  background-color: rgba(0, 0, 0, 0.5);
  border: none;
  border-radius: 50%;
  width: 3rem;
  height: 3rem;
  z-index: 1;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
.prev-price.active {
  text-decoration-color: red;
  text-decoration-line: line-through;
}

.add-article {
  display: flex;
  margin: 0 auto;
  flex-direction: column;
  width: 100%;
  padding: 10px;
}

.main-container.position-relative #globalMessage {
  width: 80%;
  background-color: #e60619;
  color: #0d0c0c;
  justify-content: space-around;
  align-items: center;
  position: fixed;
  top: 5%;
  z-index: 9999;
  left: 11%;
  border-radius: 0.9rem;
  font-size: 1.2rem;
  display: flex;

  overflow: hidden;
  height: 0;
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}
.main-container.position-relative #globalMessage.active {
  height: fit-content;
  padding: 10px;
}
#globalMessage .globalMessageClose {
  font-size: 2rem;
  color: whitesmoke;
  cursor: pointer;
}
.aside-right-actions .btnDisabled {
  cursor: no-drop;
  opacity: 0.3;
}

.main-container .create-repair {
  display: flex;
  margin: 0 auto;
  flex-direction: column;
  width: 100%;
  padding: 40px;
  border-radius: 1rem;
  border: 2px solid rgb(120, 120, 120);
}
/* .create-repair .fa-cloud-arrow-up::before {
  font-size: 15rem;
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
  align-items: center;
  cursor: pointer;
} */
/* .create-repair .fa-cloud-arrow-up {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
  align-items: center;
  cursor: pointer;
  content: "\f0ee";
  font-size: 30rem;
} */

.main-container .create-repair .staps {
  display: flex;
  justify-content: space-evenly;
  align-content: center;
  margin: 2rem 0;
}

#main-header .account.dropdown-menu[data-bs-popper] {
  top: 150%;
  left: -20px;
  margin-top: var(--bs-dropdown-spacer);
}
.toast.show {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  z-index: 99999999999999999999999999999999;
}

#main-header .servies.dropdown-menu[data-bs-popper] {
  top: 150%;
  left: 9px;
  margin-top: var(--bs-dropdown-spacer);
}

.HeaderSticky {
  position: sticky !important;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99999;
  height: 60px !important;
  /* add animtion smoush to the hieght */
  transition: all 0.3s ease-in-out;
}
.sideBarWithStickyHeader {
  min-height: calc(100dvh - 60px) !important;
}
.HeaderSticky nav .header-left a.navbar-brand img {
  width: auto !important;
  height: 55px;
  transition: all 0.5s ease-in-out;
}
nav #mo #openCloseHeaderNav i.openCloseMenuIcon {
  font-size: 20px !important;
  transition: all 0.3s ease-in-out;
}
.HeaderSticky nav #mo .goToControlePanel {
  font-size: 20px !important;
  transition: all 0.3s ease-in-out;
}
.HeaderSticky nav .header-right.active {
  top: 60px !important;
  transition: all 0.3s ease-in-out;
}
.HeaderSticky nav .header-right {
  top: 60px !important;
  transition: all 0.3s ease-in-out;
}
#main-header.HeaderSticky .header-right.active {
  height: calc(100dvh - 60px);
  transition: all 0.3s ease-in-out;
}
.fa-solid.fa-x {
  font-weight: 900;
  height: 2rem;
  width: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.normal-btn {
  background-color: transparent;
  border: none;
  padding: initial;
  margin: initial;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.cost-auth-icon {
  position: absolute;
  top: 50%;
  right: 5%;
  font-size: 20px;
  transform: translate(50%, 20%);
}
.update-profil-input-email-labels {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.edit-profile-container > form {
  margin: 7rem;
}
.h-fit {
  height: fit-content;
}
.w-fit {
  width: fit-content;
}
.sort {
  width: 100%;
  max-height: 10rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
  align-content: center;
  margin-bottom: 1rem;
}
.main-favorites-container {
  display: flex;
  height: 50%;
}
.main-favorites-container .cards {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-column-gap: 10px;
  grid-row-gap: 10px;
  margin: 1rem;
  border-radius: 5rem;
}

.main-favorites-container .cost-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #d2d2d2;
  padding: 5px 5px 1rem 5px;
  border-radius: 10px;
  max-height: 25rem;
}
.main-favorites-container .cost-card .cost-card-img-top {
  border-radius: 1rem;
  padding-bottom: 1rem;
  max-width: 15rem;
  max-height: 15rem;
  width: 100%;
  height: 100%;
  flex-basis: 80%;
}
.main-favorites-container .cost-card .cost-card-body {
  padding-top: 1rem;
  border-top: 1px solid #d2d2d2;
  flex-basis: 20%;
}

/* .pagination {
    display: flex;
    justify-content: center;
    margin-top: 20px;
  }

  .pagination ul {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .pagination li {
    margin: 0 10px 30px 10px;
  }

  .pagination a {
    display: block;
    padding: 10px 15px;
    text-decoration: none;
    color: #333;
    border: 1px solid #ccc;
    border-radius: 5px;
  }

  .pagination a:hover {
    background-color: #f5f5f5;
  } */
.main-basket-container {
  display: flex;
  height: 50%;
  position: relative;
}
.main-basket-container #table-container {
  width: 100%;
  height: 90vh;
  overflow-x: hidden;
}
.main-basket-container .table-container .basket-article-image {
  height: 6rem;
  width: 6rem;
}
.main-basket-container .table-container td {
  vertical-align: middle;
  text-align: center;
}

.main-basket-container #pass-commande {
  position: fixed;
  bottom: 5px;
  right: 31%;
  transform: translateX(50%);
  width: 100%;
  height: 100px;
  background: transparent;
  border: 1px solid black;
  border-radius: 2rem;
  z-index: 9;
  height: 3rem;
  width: 47%;
  /* display: flex; */
  display: none;
  justify-content: space-between;
  padding: 0 1rem;
  align-items: center;
  animation: hideBasketPrice 0.1s;
  opacity: 1;
  cursor: auto;
}

.main-basket-container #pass-commande span {
  font-size: 1rem;
  font-weight: 600;
}
.main-basket-container #pass-commande .pass-commande-btn {
  background-color: transparent;
  padding: 0.3rem 0.5rem;
  font-size: 1rem;
  font-weight: 600;
  color: #1cc31f;
  text-decoration: none;
  border-radius: 5px;
}

.main-favorites-container .btn.btn-primary.h-fit.w-fit {
  background-color: #5f1114;
  border: none;
}
.main-favorites-container .cost-card-bottom {
  flex-direction: row-reverse !important;
  gap: 10px;
  width: 100% !important;
}
.main-myrepairs-container .btn.fixedBtn.add-btn {
  display: flex;
  justify-content: center;
  justify-items: center;
  align-items: center;
  align-self: center;
  position: absolute;
  width: 70px;
  height: 70px;
  background-color: #2c3034;
  color: whitesmoke;
  bottom: 50px;
  right: 50px;
  border-radius: 50%;
  font-size: 2rem;
  font-weight: 500;
  box-shadow: 5px 20px 15px -20px #111;
  transition: all 0.3s ease-in-out;
}
.main-myrepairs-container .btn.add-btn:hover {
  background-color: #287dfc;
  color: whitesmoke;
}
.main-myrepairs-container {
  display: flex;
  position: relative;
}
.main-container .cost-auth-icon {
  position: absolute;
  top: 50%;
  right: 5%;
  font-size: 20px;
  transform: translate(50%, 20%);
}
.auth .cost-auth-icon {
  position: absolute;
  top: 50%;
  right: 5%;
  font-size: 20px;
  transform: translate(50%, 20%);
}

.auth .auth-img {
  width: 100%;
  width: 100%;
  display: flex;
  margin-top: 3rem;
}
.auth .auth-img img {
  width: 15rem;
  margin: 0 auto;
}

.main-container .add-article .add-article-staps {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  border-top: 2px solid rgb(120, 120, 120);
}
.main-container .add-article #price_2 #new_price {
  display: flex;
  gap: 10px;
  align-content: flex-start;
  justify-items: center;
}

.main-container .my-repair-title p {
  width: 100%;
  text-align: center;
  font-size: 3rem;
  font-weight: 600;
  color: #100101;
}
.main-container .my-repair-title {
  box-shadow: 0px 10px 5px -10px #111;
}
.my-repair-main {
  display: flex;
  width: 100%;
  height: 100%;
  gap: 1rem;
  margin-top: 2rem;
}
#my-repair-infos-wapperClient .cons-repair-arrow,
#my-repair-infos-wapperArticle .cons-repair-arrow {
  font-size: 2rem !important;
}
.my-repair-main .my-repair-aside {
  display: flex;
  justify-content: flex-start;
  max-height: 50rem;
  overflow-y: a;
  padding-right: 4rem;
  overflow-x: hidden;
  align-items: stretch;
  align-content: flex-end;
  flex-wrap: nowrap;
  flex-direction: column;
  gap: 1rem;
}
.my-repair-main .my-repair-center {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100%;
  justify-content: center;
}
img.all-images {
  display: block;
  width: 6rem;
  aspect-ratio: 1;
  border: 0.3px solid black;
  cursor: pointer;
}
#main-image {
  display: block;
  height: 50rem;
  aspect-ratio: 1;
  border-radius: 1rem;
}
#div-refused_reasion {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
}
#div-tracking_number {
  width: 100%;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
}
#div-tracking_number > p,
#div-amount > p,
#div-first_response > p,
#div-notes > p {
  font-size: 15px;
}
#div-first_response {
  width: 100%;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
}
#div-notes {
  width: 100%;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
}

#div-amount {
  width: 100%;
  height: 0;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
}

#div-refused_reasion > p {
  font-size: 1rem;
  font-weight: 600;
  color: #100101;
  text-align: center;
}
#div-refused_reasion.active {
  height: 65%;
}
#div-tracking_number.active {
  height: 40%;
}
#div-first_response.active {
  height: 60%;
}
#div-notes.active {
  height: 60%;
}
#div-amount.active {
  height: 40%;
}
.my-repair-infos.active {
  height: 100%;
  overflow: auto;
}
.my-repair-infos {
  border-top: 0.5px solid green;
  margin-top: 1rem;
  background-color: transparent;
  padding: 1rem;
  padding-top: 2rem;
  border-bottom-right-radius: 1rem;
  border-bottom-left-radius: 1rem;
  margin-bottom: 0.5rem;
  height: 85px;
  overflow: hidden;
}
.my-repair-infos h3 {
  font-weight: 600;
  text-align: center;
}
.my-repair-infos .my-repair-infos-row {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  gap: 10px;
  margin-bottom: 1rem;
  border-bottom: 1px solid gray;
}
.my-repair-infos .my-repair-infos-row .my-repair-infos-sup-row {
  display: flex;
  flex: 1;
  align-items: flex-start;
  justify-content: flex-start;
  font-weight: 600;
  font-size: 1.5rem;
  color: gray;
}
.my-repair-infos .my-repair-infos-row .my-repair-infos-sup-row.key {
  font-weight: 600;
  font-size: 1.5rem;
  text-align: center;
  display: flex;
  padding-left: 10px;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 10px;
  color: #100101;
}
.my-repair-infos-header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  padding-bottom: 2rem;
  margin-bottom: 2rem;
  border-bottom: 2px dotted gray;
}
.my-repair-infos-header button {
  border: none;
  background-color: transparent;
  font-size: 2.5rem;
  color: red;
  cursor: pointer;
  margin-top: -20px;
}
.cost-auth-icon {
  position: absolute;
  top: 50%;
  right: 5%;
  font-size: 20px;
  transform: translate(50%, 20%);
}
.faux-img {
  width: 15rem;
  height: 15rem;
  border-radius: 50%;
  background-color: #080457;
  color: whitesmoke;
  display: flex;
  align-items: center;
  justify-content: center;
  justify-self: center;
  justify-items: center;
  font-size: 6rem;
  font-weight: bold;
  text-transform: capitalize;
}

.person-info-details {
  margin: 1rem 0;
}
.my-profile {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  margin-top: 2rem;
  max-height: calc(100dvh - 60px);
  overflow-y: auto;
}
.my-profile .my-repair-infos.shadow.active.account {
  height: 100%;
  margin: 0 !important;
}
.my-profile .my-repair-infos {
  height: 100%;
}

.my-profile .my-repair-infos-header {
  display: flex;
  justify-content: center;
  align-content: center;
}
.page-not-found div {
  width: 100%;
  text-align: center;
}

.page-not-found .number {
  background: #fff;
  position: relative;
  font: 900 30vmin "Consolas";
  letter-spacing: 5vmin;
  text-shadow: 2px -1px 0 #000, 4px -2px 0 #0a0a0a, 6px -3px 0 #0f0f0f,
    8px -4px 0 #141414, 10px -5px 0 #1a1a1a, 12px -6px 0 #1f1f1f,
    14px -7px 0 #242424, 16px -8px 0 #292929;
}
.page-not-found .number::before {
  background-color: #673ab7;
  background-image: radial-gradient(
      closest-side at 50% 50%,
      #ffc107 100%,
      rgba(0, 0, 0, 0)
    ),
    radial-gradient(closest-side at 50% 50%, #e91e63 100%, rgba(0, 0, 0, 0));
  background-repeat: repeat-x;
  background-size: 40vmin 40vmin;
  background-position: -100vmin 20vmin, 100vmin -25vmin;
  width: 100%;
  height: 100%;
  mix-blend-mode: screen;
  -webkit-animation: moving 10s linear infinite both;
  animation: moving 10s linear infinite both;
  display: block;
  position: absolute;
  content: "";
}

.page-not-found .text {
  font: 400 5vmin "Courgette";
}
.page-not-found .text span {
  font-size: 10vmin;
}
.page-not-found center {
  width: 100%;
  text-align: center;
}
.articles-holders .cards {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-column-gap: 2rem;
  grid-row-gap: 2rem;
  border-radius: 5rem;
}
.articles-holders .cost-card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* align-items: center; */
  padding: 5px 5px 1rem 5px;
  border-radius: 10px;
  /* height: 25rem; */
}

.articles-holders .cost-card .cost-card-img-top {
  border-radius: 1rem;
  padding-bottom: 1rem;
  max-width: 15rem;
  width: 100%;
  /* object-fit: contain; */
  object-fit: cover;
  /* max-height: 18rem; */
}
.articles-holders .cost-card .cost-card-body {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  flex-basis: 10%;
  padding-top: 1rem;
  border-top: 1px solid #d2d2d2;
  width: 100%;
}
.articles-holders .cost-card a {
  flex-basis: 90%;
}

.one-ligne-text {
  white-space: nowrap;
}
.articles-holders-cards-use_case {
  position: absolute;
  padding: 2px 11px;
  top: 2px;
  right: 3px;
  background-color: rgb(255 0 0 / 58%);
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0.7;
  border-radius: 3rem;
}
.articles-holders .cards .cost-card .cost-card-body .price.prev-price.active {
  text-decoration: line-through;
  color: black;
}
.articles-holders .cards .cost-card .cost-card-body .price.prev-price {
  font-size: 1rem;
}
.articles-holders .cards .cost-card .cost-card-body .price.new-price,
.articles-holders .cards .cost-card .cost-card-body .not-active {
  color: green;
  font-size: 1rem;
}

.articles-holders
  .cards
  .cost-card
  .cost-card-body
  .article-reducted.new-price {
  color: green;
  font-size: 1rem;
}
.articles-holders
  .cards
  .cost-card
  .cost-card-body
  .article-reducted.old-price {
  text-decoration: line-through;
  color: black;
  font-size: 1rem;
}

.articles-holders .cards .cost-card .cost-card-body .article-not-reducted {
  color: green;
  font-size: 1rem;
}

.main-container .section-articles-holder {
  border-top: 1px solid gray;
  border-bottom: 1px solid gray;
  padding: 10px 0;
}
.main-container .section-articles-holder:last-of-type {
  margin-bottom: 2rem;
}
.main-container .section-articles-holder .section-articles-holder-footer a {
  text-decoration: none;
  color: black;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 1rem;
}
.main-container .section-articles-holder .section-articles-holder-footer p {
  margin: 0 !important;
}

#admin-slidebar {
  background-color: #212529;
  height: calc(100dvh - 60px);
  width: 300px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 2rem 0 2rem 0;
  overflow: hidden;
  position: relative;
  transition: width 0.3s ease-in-out;
}
.admin-slidebar-top {
  height: 5%;
}
#admin-slidebar .sections {
  height: fit-content;
  display: flex;
  flex-direction: column;
}
#admin-slidebar form {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}
#admin-slidebar form input {
  width: 90%;
  height: 40px;
  border: none;
  border-radius: 8px;
}
#admin-slidebar form input:focus {
  border: none;
}
#admin-slidebar .admin-slidebar-top-name {
  color: white;
  font-size: 1.2rem;
  text-decoration: none;
}
#admin-slidebar .row-wapper {
  display: flex;
  justify-content: flex-start;
  margin-left: 2rem;
  align-items: flex-start;
  color: whitesmoke;
  gap: 1rem;
  font-size: 1.3rem;
}

#admin-slidebar .admin-slidebar-center {
  overflow-y: a;
  overflow-x: hidden;
  margin-top: 2rem;
  height: 80%;
}
#admin-slidebar .admin-slidebar-center::-webkit-scrollbar {
  width: 10px;
  padding: 2px;
}

#admin-slidebar .admin-slidebar-center::-webkit-scrollbar-track {
  background-color: #575a5f;
}

#admin-slidebar .admin-slidebar-center::-webkit-scrollbar-thumb {
  background-color: rgba(15, 44, 62, 0.8);
}

.admin-slidebar-bottom {
  height: 5%;
  border-top: 1px solid gray;
  padding-top: 0.5rem;
}

#admin-slidebar .admin-slidebar-center-sections {
  height: 35px;
  overflow: hidden;
  width: 90%;
  margin: 1rem 1rem 0 0.3rem;
  cursor: pointer;
  user-select: none;
}

#admin-slidebar .admin-slidebar-center-sections ul {
  color: whitesmoke;
  list-style: none;
  padding-left: 3rem;
  margin-bottom: 0.2rem;
}
#admin-slidebar .admin-slidebar-center-sections ul li {
  width: fit-content;
  padding: 10px 0;
}
#admin-slidebar .admin-slidebar-center-sections ul li:first-child {
  padding: 3px 0;
}
#admin-slidebar .admin-slidebar-center-sections ul li a {
  color: whitesmoke;
  text-decoration: none;
}
#admin-slidebar .admin-slidebar-center-sections.active {
  height: fit-content;
}
#admin-slidebar .section-name.row-wapper.active {
  color: #0a58ca;
}
#admin-slidebar #openAdminSidebar {
  display: none;
}
#admin-slidebar .section-name.row-wapper {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}
#admin-slidebar .row-wapper-icon {
  margin-bottom: 10px;
}
.admin-slidebar-center-sections {
  order: 2;
}
.section-name.row-wapper p {
  font-size: 1.1rem;
}
a.section-name.row-wapper p {
  font-size: 1.1rem;
}
.admin-slidebar-center-sections ul li a {
  font-size: 0.9rem;
}
.admin-slidebar-center-sections a {
  font-size: 0.9rem;
  text-decoration: none;
}
.color-red {
  background-color: rgb(205, 82, 82);
}
.color-yallow {
  background-color: rgb(194, 204, 54);
}
.color-green {
  background-color: rgb(52, 209, 55);
}
.color-trans {
  background-color: transparent;
}
.color-gray {
  color: gray;
}
p.color-gray > * {
  color: gray !important;
}
.main-container .show-article-main .aside-right-actions {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  align-content: center;
  gap: 1.2rem;
  flex-wrap: wrap;
}
.main-container .show-article-main .show-article-btn {
  height: fit-content;
  width: fit-content;
  padding: 5px 10px;
  border-radius: 3px;
  background-color: #212529;
  color: #fff;
}
.basket-icon {
  position: relative;
}
.show-article-btn-already-in {
  position: absolute;
  top: 50%;
  left: -110%;
  transform: translateY(-50%);
  color: red;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.2rem;
  font-size: 20px;
}

.basket-icon.already-in {
  color: rgb(113, 195, 113);
}
.s-faux-img {
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  background-color: #080457;
  color: whitesmoke;
  display: flex;
  align-items: center;
  justify-content: center;
  justify-self: center;
  justify-items: center;
  text-transform: capitalize;
  margin-right: 0.5rem;
  font-size: 16px;
}
.sidebar-container {
  width: 280px;
  min-height: calc(100dvh - 60px);
  overflow-y: hidden;
}
.main-container .show-article-main #mo-title {
  display: none;
}
.main-container #shown-only-in-phones {
  display: none;
}
/* select */
.select-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}
.select-container .select {
  width: 200px;
  min-height: 200px;
  height: 200px;
  overflow-y: auto;
  overflow-x: hidden;
  border: 1px solid #ccc;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.select-container .select-right select {
  height: 238px;
}
.select-container .select option {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px 0;
  margin-inline: 20px;
  border-bottom: 1px solid gray;
}

.select-container .btns {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}
.select-container .btns button {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: none;
  background-color: #040303;
  cursor: pointer;
  color: whitesmoke;
  font-size: 1.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.select-container .btns button:disabled {
  background-color: #ccc;
  cursor: not-allowed;
}
.select-container .select-search {
  width: 80%;
  padding: 0.5rem;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-bottom: 5px;
}

.trigger {
  margin: 0 0.75rem;
  padding: 0.625rem 1.25rem;
  border: none;
  border-radius: 0.25rem;
  box-shadow: 0 0.0625rem 0.1875rem rgba(0, 0, 0, 0.12),
    0 0.0625rem 0.125rem rgba(0, 0, 0, 0.24);
  transition: all 0.25s cubic-bezier(0.25, 0.8, 0.25, 1);
  font-size: 0.875rem;
  font-weight: 300;
}
.trigger i {
  margin-right: 0.3125rem;
}
.trigger:hover {
  box-shadow: 0 0.875rem 1.75rem rgba(0, 0, 0, 0.25),
    0 0.625rem 0.625rem rgba(0, 0, 0, 0.22);
}
.modal {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 0vh;
  background-color: transparent;
  overflow: hidden;
  transition: background-color 0.25s ease;
  z-index: 9999;
}
.modal.open {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  transition: background-color 0.25s;
}
.modal.open > .content-wrapper {
  transform: scale(1);
}
.modal .content-wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 50%;
  margin: 0;
  padding: 2.5rem;
  background-color: white;
  border-radius: 0.3125rem;
  box-shadow: 0 0 2.5rem rgba(0, 0, 0, 0.5);
  transform: scale(0);
  transition: transform 0.25s;
  transition-delay: 0.15s;
}
.modal .content-wrapper .close {
  position: absolute;
  top: 0.5rem;
  right: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.5rem;
  height: 2.5rem;
  border: none;
  background-color: transparent;
  font-size: 1.5rem;
  transition: 0.25s linear;
}
.modal .content-wrapper .close:before,
.modal .content-wrapper .close:after {
  position: absolute;
  content: "";
  width: 1.25rem;
  height: 0.125rem;
  background-color: black;
}
.modal .content-wrapper .close:before {
  transform: rotate(-45deg);
}
.modal .content-wrapper .close:after {
  transform: rotate(45deg);
}
.modal .content-wrapper .close:hover {
  transform: rotate(360deg);
}
.modal .content-wrapper .close:hover:before,
.modal .content-wrapper .close:hover:after {
  background-color: tomato;
}
.modal .content-wrapper .modal-header {
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  margin: 0;
  padding: 0 0 1.25rem;
}
.modal .content-wrapper .modal-header h2 {
  font-size: 1.1rem;
  font-weight: bold;
  border-bottom: 1px solid black;
}
.modal.model-alert .content-wrapper .modal-header h2 {
  font-size: 1.2rem;
  font-weight: bold;
}
.modal .content-wrapper .content {
  position: relative;
  display: flex;
  flex-direction: column;
}
.modal .content-wrapper .content p {
  font-size: 0.875rem;
  line-height: 1.75;
}
.modal.model-alert .content-wrapper .content p {
  font-size: 1rem;
  line-height: 1.75;
  text-align: center;
}
.modal .content-wrapper .modal-footer {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin: 0;
  padding: 1.875rem 0 0;
}
.modal .content-wrapper .modal-footer .action {
  position: relative;
  margin-left: 0.625rem;
  padding: 0.625rem 1.25rem;
  border: none;
  background-color: slategray;
  border-radius: 0.25rem;
  color: white;
  font-size: 0.87rem;
  font-weight: 300;
  overflow: hidden;
  z-index: 1;
}
.modal .content-wrapper .modal-footer .action:before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.2);
  transition: width 0.25s;
  z-index: 0;
}
.modal .content-wrapper .modal-footer .action:first-child {
  background-color: #2ecc71;
}
.modal .content-wrapper .modal-footer .action:last-child {
  background-color: #e74c3c;
}
.modal .content-wrapper .modal-footer .action:hover:before {
  width: 100%;
}
.green-border {
  border: 2px solid green !important;
}
.green-border:focus {
  border: 2px solid green !important;
}
.red-border {
  border: 2px solid red !important;
}
.red-border:focus {
  border: 2px solid red !important;
}

.openCloseMenuIcon,
.openCloseSubMenuList {
  transition: all 0.3s ease;
  transform: rotate(0deg);
}
.revirse {
  transition: all 0.3s ease;
  transform: rotate(180deg);
}

#header-mobile .lists .logout-modal {
  opacity: 0;
  display: none;
}
#header-mobile .lists .logout-modal.active {
  position: absolute;
  bottom: 25%;
  height: 150px;
  border-radius: 1rem;
  width: 100%;
  background-color: rgb(79, 79, 79);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  animation-name: openLogoutModal;
  animation-duration: 0.5s;
  opacity: 1;
}

#header-mobile .lists .logout-modal-header {
  width: 100%;
  height: 30%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#header-mobile .lists .logout-modal-body {
  width: 100%;
  height: 40%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#header-mobile .lists .logout-modal-footer {
  width: 100%;
  height: 30%;
  display: flex;
  justify-content: center;
  align-items: center;
}
#header-mobile .lists .logout-modal-footer button {
  margin: 0 0.5rem;
}

#header-mobile .lists .logout-modal-footer button {
  width: 100px;
  height: 30px;
  border-radius: 0.5rem;
  border: none;
  outline: none;
  background-color: rgb(255, 255, 255);
  color: rgb(0, 0, 0);
  font-size: 1rem;
  font-weight: 600;
  cursor: pointer;
}
#header-mobile .lists .logout-modal-footer button a {
  text-decoration: none;
  color: var(--main-bg-dark) !important;
}
#header-mobile {
  width: 0;
  overflow: hidden !important;
  position: absolute;
  z-index: 9999999999;
  top: 60px;
  right: 0;
  transition: all 0.3s ease;
  height: calc(100dvh - 60px);
  max-width: 20rem;
  background-color: var(--main-bg-dark);
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  color: var(--main-text-white);
  text-decoration: none;
  list-style: none;
  border-top: 1px solid whitesmoke;
}
#header-mobile.active {
  width: 100%;
  overflow: auto;
  transition: all 0.3s ease;
}
button:disabled {
  cursor: not-allowed;
  opacity: 0.5;
}

.all_type ul {
  max-width: 100vw;
  width: 100%;
  overflow-x: auto;
  overflow-y: hidden;
  margin-bottom: 1rem;
}
.all_type ul {
  list-style: none;
  text-decoration: none;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  align-content: center;
  gap: 2rem;
  flex-wrap: nowrap;
}
.all_type ul li {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
  align-self: center;
  height: 100%;
}
.all_type ul li a img {
  height: 2rem;
}
.all_type ul li > * {
  padding: 0;
  margin: 0;
}

.img-icon {
  height: 1.5rem;
  width: 100%;
  max-width: 2rem;
  object-fit: contain;
}

.repair-container .model-alert .content p {
  font-size: 2rem;
}
.repair-container .accetptions {
  margin-top: 3rem;
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}
.repair-container .accetptions > a:hover {
  box-shadow: 0 0.875rem 1.75rem rgba(0, 0, 0, 0.25),
    0 0.625rem 0.625rem rgba(0, 0, 0, 0.22);
}
.repair-container
  .main-container
  .container
  .accetptions
  .accetptions-checkbox {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.repair-container .repair-presentation-slider-img {
  height: 200px;
  aspect-ratio: 2/1;
  object-fit: cover;
}

.repair-container #reviews {
  display: flex;
  flex-direction: row;
  /* flex-wrap: wrap; */
  justify-content: flex-start;
  gap: 1rem;
  /* max-height: 800px; */
  height: 300px;
  overflow-y: auto;
  padding-bottom: 1rem;
}
.repair-container #reviews .note-card {
  min-width: 250px !important;
  width: 100%;
  max-width: 25px;
  height: auto;
  padding: 5px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  border-color: #ffa41c !important;
}
.repair-container #reviews .note-card-body {
  font-size: 12px;
  overflow-y: auto;
  overflow-x: hidden;
  height: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.repai-container #follow-repair > p {
  font-size: 1rem;
}

.repai-container .stap-container {
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 5px;
}

.repai-container .stap {
  background-color: lightgray;
  padding: 10px;
  font-size: 1rem;
  width: 100%;
  border-radius: 5px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.repai-container .stap.active {
  background-color: #02be21;
  color: white;
  padding: 10px;
  font-weight: bold;
}
.repai-container .stap.current {
  background-color: #dcf022;
}
.repai-container .stap.none {
  background-color: #ff0000;
}
.repai-container #line {
  position: absolute;
  width: 3px;
  height: 100%;
  background-color: #02be21;
  left: 10px;
  border-radius: 20px;
}
.repai-container #line #cursor {
  position: absolute;
  left: 125px;
  top: 143px;
}
.repai-container #line #cursor i {
  color: #02be21;
  font-size: 2rem;
}

.repai-container .status-edit {
  margin: 0 20%;
  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: center;
  align-content: center;
  align-items: center;
}

.repai-container .repair-status-edit-inputs {
  width: 80%;
  margin: 0 auto;
  border: 1px solid gray;
  border-radius: 5px;
  padding: 5px;
}
.repai-container .repair-inputs {
  width: 80%;
  margin: 0 auto;
}
.repai-container .fake-link {
  border: none;
  text-decoration: initial;
  background-color: transparent;
  color: blue;
  cursor: pointer;
  font-size: inherit;
  padding: 0;
  margin: 0;
}
.repai-container .repair-action form .status-edit a,
.repai-container .repair-action form .status-edit button {
  text-decoration: none;
  border: none;
  margin: 0;
  padding: 0;
  background: #212529;
  color: white;
  border-radius: 5px;
  padding: 5px 10px;
  font-size: 1rem;
  cursor: pointer;
}
.repai-container .repair-action form .status-edit a {
  background: #dc3545;
  color: white;
}
.repai-container .repair-action form .status-edit button {
  background: #02be21;
  color: white;
}
section.table-info section {
  height: 58px;
  overflow: hidden;
}
section.table-info section.active {
  height: auto;
  overflow: auto;
}
section.table-info section article div {
  margin-bottom: 10px;
}

#admin-quick-access:hover {
  color: #fff;
  background-color: #212529;
}
#admin-quick-access ul {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 5px;
  position: absolute;
  bottom: 40px;
  right: 0;
  list-style: none;
  opacity: 0.7;
  transform: scale(0);
  transition: all 0.3s ease-in-out;
}
#admin-quick-access ul li {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #fff;
  border: 1px solid #212529;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  padding: 0;
}
#admin-quick-access ul li a {
  color: #212529;
  text-decoration: none;
}
#admin-quick-access ul li a span {
  position: absolute;
  right: 55px;
  font-size: 16px;
  margin-top: 2px;
  background-color: #212529;
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
}
#admin-quick-access ul.active {
  transform: scale(1);
}
#admin-quick-access.btn.fixedBtn.add-btn.add-article.admin-notification {
  background-color: #ff0000;
  color: #fff;
  border: 1px solid #ff0000;
  box-shadow: 0 0 5px #ff0000;
}

.rent-container #alerts #message {
  z-index: 99;
  top: -23px;
  left: 0;
  font-size: 14px;
}
.rent-container #alerts #closeMessage {
  z-index: 99;
  top: -30px;
  font-size: 14px;
  right: 0;
  cursor: pointer;
}
.rent-container #rent-message {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #212529;
  color: #dc3545;
  padding: 0 10px;
  border-radius: 5px;
}
.rent-container #rent-message span:last-child {
  cursor: pointer;
}
.rent-container #rent-refused_reasion {
  max-height: 0;
  transition: max-height 0.5s ease-out;
  overflow: hidden;
}

.rent-container #rent-refused_reasion.active {
  max-height: 200px;
  transition: max-height 0.5s ease-in;
}
.fill-color {
  color: #ffa41c;
}
.disabled-link {
  pointer-events: none;
  cursor: default;
  opacity: 0.3;
}
.rounded-20-px {
  border-radius: 20px;
}
